File: snowplow-tracker.gemspec

package info (click to toggle)
ruby-snowplow-tracker 0.6.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 144 kB
  • sloc: ruby: 637; makefile: 4
file content (41 lines) | stat: -rw-r--r-- 2,236 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: snowplow-tracker 0.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "snowplow-tracker".freeze
  s.version = "0.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alexander Dean".freeze, "Fred Blundun".freeze]
  s.date = "2016-12-26"
  s.description = "With this tracker you can collect event data from your Ruby applications, Ruby on Rails web applications and Ruby gems.".freeze
  s.email = "support@snowplowanalytics.com".freeze
  s.files = ["LICENSE-2.0.txt".freeze, "README.md".freeze, "lib/snowplow-tracker.rb".freeze, "lib/snowplow-tracker/contracts.rb".freeze, "lib/snowplow-tracker/emitters.rb".freeze, "lib/snowplow-tracker/payload.rb".freeze, "lib/snowplow-tracker/self_describing_json.rb".freeze, "lib/snowplow-tracker/subject.rb".freeze, "lib/snowplow-tracker/timestamp.rb".freeze, "lib/snowplow-tracker/tracker.rb".freeze, "lib/snowplow-tracker/version.rb".freeze]
  s.homepage = "http://github.com/snowplow/snowplow-ruby-tracker".freeze
  s.licenses = ["Apache License 2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Ruby Analytics for Snowplow".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<contracts>.freeze, ["~> 0.7"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
      s.add_development_dependency(%q<webmock>.freeze, ["~> 1.17.4"])
    else
      s.add_dependency(%q<contracts>.freeze, ["<= 0.11", "~> 0.7"])
      s.add_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
      s.add_dependency(%q<webmock>.freeze, ["~> 1.17.4"])
    end
  else
    s.add_dependency(%q<contracts>.freeze, ["<= 0.11", "~> 0.7"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.14.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 1.17.4"])
  end
end